Skip to main content
Request

curl --location 'https://openapi.gs-robot.com/openapi-server/v1/api/task/report/map-images/query' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {{token}}' \
--data '
{
"robotSn": "TEST00-0000-000-G010",
"taskReportId": "c25b0540-4ae8-44eb-bdfb-b81554bbb110"
}'
Response

{
"code": 0,
"data": [
{
"url": "https://openapi.gs-robot.com/robot-task/task-queue/openapi/map-images/TEST00-0000-000-G010/c25b0540-4ae8-44eb-bdfb-b81554bbb110/0",
"product_id": "TEST00-0000-000-G010",
"task_queue_id": "c25b0540-4ae8-44eb-bdfb-b81554bbb110",
"map_image_id": 0
}
],
"msg": "SUCCESS",
"traceId": "4d32a39d851bdffdb321141682fffdcd"
}

On success, code is 0 and msg is SUCCESS. Use data[].url directly to view the corresponding original image. On failure, code is positive and msg contains an English diagnostic message.